Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.filetransfer
Interface FileTransferManager

All Superinterfaces:
  Module

All Known Implementing Classes:
  DefaultFileTransferManager

    public interface FileTransferManager

extends Module

Manages all file transfer currently happening originating from and/or ending at users of the server. From here, file transfers can be administered and stats can be tracked.

Author:
  Alexander Wenckus

Field Summary
`static String` | `NAMESPACE_BYTESTREAMS` Bytestreams namespace
`static String` | `NAMESPACE_SI` The Stream Initiation, SI, namespace.
`static String` | `NAMESPACE_SI_FILETRANSFER` Namespace for the file transfer profile of Stream Initiation.

Method Summary
`boolean` | `acceptIncomingFileTransferRequest(FileTransfer transfer)` Checks an incoming file transfer request to see if it should be accepted or rejected.
`void` | `addFileTransferInterceptor(FileTransferInterceptor interceptor)`
`void` | `fireFileTransferIntercept(FileTransferProgress transfer, boolean isReady)`
`void` | `registerProxyTransfer(String transferDigest, ProxyTransfer proxyTransfer)` Registers that a transfer has begun through the proxy connected to the server.
`void` | `removeFileTransferInterceptor(FileTransferInterceptor interceptor)`

Methods inherited from interface org.jivesoftware.openfire.container.Module
`destroy, getName, initialize, start, stop`

Field Detail

### NAMESPACE_SI

    static final String NAMESPACE_SI

  The Stream Initiation, SI, namespace.

  See Also:
    Constant Field Values

### NAMESPACE_SI_FILETRANSFER

    static final String NAMESPACE_SI_FILETRANSFER

  Namespace for the file transfer profile of Stream Initiation.

  See Also:
    Constant Field Values

### NAMESPACE_BYTESTREAMS

    static final String NAMESPACE_BYTESTREAMS

  Bytestreams namespace

  See Also:
    Constant Field Values

Method Detail

### acceptIncomingFileTransferRequest

    boolean acceptIncomingFileTransferRequest(FileTransfer transfer)
                                              throws FileTransferRejectedException

  Checks an incoming file transfer request to see if it should be accepted or rejected. If it is accepted true will be returned and if it is rejected false will be returned.

  Parameters:
    `transfer` - the transfer to test for acceptance
  Returns:
    true if it should be accepted false if it should not.
  Throws:
    `FileTransferRejectedException`

### registerProxyTransfer

    void registerProxyTransfer(String transferDigest,
                               ProxyTransfer proxyTransfer)
                               throws UnauthorizedException

  Registers that a transfer has begun through the proxy connected to the server.

  Parameters:
    `transferDigest` - the digest of the initiator + target + sessionID that uniquely identifies a file transfer
    `proxyTransfer` - the related proxy transfer.
  Throws:
    `UnauthorizedException` - when in the current server configuration this transfer should not be permitted.

### addFileTransferInterceptor

    void addFileTransferInterceptor(FileTransferInterceptor interceptor)

### removeFileTransferInterceptor

    void removeFileTransferInterceptor(FileTransferInterceptor interceptor)

### fireFileTransferIntercept

    void fireFileTransferIntercept(FileTransferProgress transfer,
                                   boolean isReady)
                                   throws FileTransferRejectedException

  Throws:
    `FileTransferRejectedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.